mfontset(3m17n)

NAME
mfontset - Return a fontset.

SYNOPSIS
MFontset * mfontset (char * name)

DESCRIPTION
Return a fontset.

The mfontset() function returns a pointer to a fontset object of name name. If name is NULL, it returns a pointer to the default fontset.

If no fontset has the name name, a new one is created. At that time, if there exists a data <fontset, name> in the m17n database, the fontset contents are initialized according to the data. If no such data exists, the fontset contents are left vacant.

The macro M17N_INIT() creates the default fontset. An application program can modify it before the first call of mframe().

RETURN VALUE

    This function returns a pointer to the found or newly created fontset.

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.